Skip to main content
`Ctrl`+`K`

# TSHasTransientVariable

determine whether transient variables have been set

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSHasTransientVariable(TS ts, PetscBool *has)

Logically Collective

## Input Parameter

- ts - `TS` on which to compute

## Output Parameter

- has - `PETSC_TRUE` if transient variables have been set

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSBDF`, `DMTSSetTransientVariable()`, `TSComputeTransientVariable()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages